<button mat-button (click)="location.back()" class="back_button">
    <mat-icon>keyboard_arrow_left</mat-icon>
    <span>Regresar</span>
</button>
<div *ngIf="website_info" class="container">
    <h4 class="container__subheader">Nombre del Dominio</h4>
    <h1 class="container__title">{{website_info.domain_name}}</h1>
    <div class="container__chart">
        <div class="container__chart__cont" *ngIf="website_info">
            <h2>Visitas</h2>
            <app-months-views-chart [chart_all_data]="website_info.prev_months"></app-months-views-chart>
        </div>
        <div class="container__chart__cont">
            <h2>Número de usos</h2>
            <app-element-uses-chart></app-element-uses-chart>
        </div>
        <div class="container__chart__cont">
            <h2>Número de usos</h2>
            <app-element-uses-chart></app-element-uses-chart>
        </div>
    </div>
    <div class="container__lists">
        <div class="container__list">
            <mat-list>
                <div mat-subheader class="container__subtitle">Botones Usados</div>
                <mat-list-item *ngFor="let el of buttons">
                    <mat-icon mat-list-icon>games</mat-icon>
                    <div mat-line>{{el.text}}</div>
                    <div mat-line>{{el.location}}</div>
                    <div mat-line>Usos Totales: {{el.uses}}</div>
                </mat-list-item>
            </mat-list>
        </div>
        <div class="container__list">
            <mat-list>
                <div mat-subheader class="container__subtitle">Botones Usados</div>
                <mat-list-item *ngFor="let el of inputs">
                    <mat-icon mat-list-icon>create</mat-icon>
                    <div mat-line>{{el.text}}</div>
                    <div mat-line>{{el.location}}</div>
                    <div mat-line>Usos Totales: {{el.uses}}</div>
                </mat-list-item>
            </mat-list>
        </div>
        <div class="container__list">
            <mat-list>
                <div mat-subheader class="container__subtitle">Botones Usados</div>
                <mat-list-item *ngFor="let el of links">
                    <mat-icon mat-list-icon>insert_link</mat-icon>
                    <div mat-line>{{el.text}}</div>
                    <div mat-line>{{el.location}}</div>
                    <div mat-line>Usos Totales: {{el.uses}}</div>
                </mat-list-item>
            </mat-list>
        </div>
    </div>
</div>